#!/bin/bash
echo "开始"
echo "$(date "+%Y-%m-%d %H:%M:%S") 正在杀进程..."
# shellcheck disable=SC2009
# ps aux | grep run_kanyikan
ps aux | grep run_kanyikan_moment.py | grep -v grep | awk '{print $2}' | xargs kill -9
# shellcheck disable=SC2009
ps aux | grep run_kanyikan_recommend.py | grep -v grep | awk '{print $2}' | xargs kill -9
echo "$(date "+%Y-%m-%d %H:%M:%S") 进程已杀死！"

echo "$(date "+%Y-%m-%d %H:%M:%S") 正在更新代码..."
cd /Users/lieyunye/Desktop/crawler/crawler_kanyikan/ && git pull origin master --force
echo "$(date "+%Y-%m-%d %H:%M:%S") 代码更新完成！"
#source /etc/profile
echo "$(date "+%Y-%m-%d %H:%M:%S") 正在重启服务..."
nohup python3 -u main/run_kanyikan_recommend.py >>./nohup.log 2>&1 &
nohup python3 -u main/run_kanyikan_moment.py >>./nohup.log 2>&1 &
echo "$(date "+%Y-%m-%d %H:%M:%S") 服务重启完毕!"
echo "$(date "+%Y-%m-%d %H:%M:%S") 请手动启动 Charles，并开启 Auto save 功能；再启动 看一看+ 小程序!"
exit 0
